CircularImprintBuilder Class

class NXOpen.CAE.CircularImprintBuilder

Bases: NXOpen.Builder

Builder for creating Circular Imprint

To create a new instance of this class, use NXOpen.CAE.AbstractionManager.CreateCircularImprintBuilder()

New in version NX7.5.0.

Properties

Property Description
AbsoluteDiaAroundEdge Returns an absolute dia around edge
AbsoluteDiaAroundPoint Returns an absolute dia around point
AroundEdgeDiaOption Returns or sets an around edge dia option
DiaScaleFactor Returns or sets the dia scale factor
EdgeSelection Returns the selected edge/point object(s)
SurfaceSelection Returns the selected surface object(s)
Tag Returns the Tag for this object.

Methods

Method Description
Commit Commits any edits that have been applied to the builder.
Destroy Deletes the builder, and cleans up any objects created by the builder.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetObject Returns the object currently being edited by this builder.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Enumerations

CircularImprintBuilderAroundEdgeDiaType Enumeration Around Edge Diameter Option

Property Detail

AbsoluteDiaAroundEdge

CircularImprintBuilder.AbsoluteDiaAroundEdge

Returns an absolute dia around edge

-------------------------------------

Getter Method

Signature AbsoluteDiaAroundEdge

Returns:
Return type:NXOpen.Expression

New in version NX7.5.0.

License requirements: None.

AbsoluteDiaAroundPoint

CircularImprintBuilder.AbsoluteDiaAroundPoint

Returns an absolute dia around point

-------------------------------------

Getter Method

Signature AbsoluteDiaAroundPoint

Returns:
Return type:NXOpen.Expression

New in version NX7.5.0.

License requirements: None.

AroundEdgeDiaOption

CircularImprintBuilder.AroundEdgeDiaOption

Returns or sets an around edge dia option

-------------------------------------

Getter Method

Signature AroundEdgeDiaOption

Returns:
Return type:NXOpen.CAE.CircularImprintBuilderAroundEdgeDiaType

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature AroundEdgeDiaOption

Parameters:methodOption (NXOpen.CAE.CircularImprintBuilderAroundEdgeDiaType) –

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

DiaScaleFactor

CircularImprintBuilder.DiaScaleFactor

Returns or sets the dia scale factor

-------------------------------------

Getter Method

Signature DiaScaleFactor

Returns:
Return type:float

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature DiaScaleFactor

Parameters:dia (float) –

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

EdgeSelection

CircularImprintBuilder.EdgeSelection

Returns the selected edge/point object(s)

-------------------------------------

Getter Method

Signature EdgeSelection

Returns:
Return type:NXOpen.SelectTaggedObjectList

New in version NX7.5.0.

License requirements: None.

SurfaceSelection

CircularImprintBuilder.SurfaceSelection

Returns the selected surface object(s)

-------------------------------------

Getter Method

Signature SurfaceSelection

Returns:
Return type:NXOpen.SelectTaggedObjectList

New in version NX7.5.0.

License requirements: None.

Method Detail

Validate

CircularImprintBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.